useCSS(true);
/**
* 通知页面切换字体大小
*
* index: 0-小，1-中，2-大，3-超大
*/
function setTextSize(index) {
    index = parseInt(index);
    if(typeof index !== 'number'){
        throw new Error('text-size-index must be a number type, but got: ' + index + ', type of: ' + typeof index);
    }
    console.log('set text size index: ' + index);
    var classNames = ['sm', 'md', 'lg', 'xl'];
    var className = classNames[index];
    classNames.forEach(function(each){
        if(each === className){
            console.log('set text size: ' + className);
            document.body.classList.add(className);
        }else{
            document.body.classList.remove(each);
        }
    });
}