

/*
 * 隐藏所有图片；
 */
function hideAllImage() {
    try {
        var img = document.getElementsByClassName("reader_img");
        var y = img.length;
        var i = 0;
        for (var i = 0; i < y; i++) {
            img[i].style.display = "none";
        }

        var imgbox = document.getElementsByClassName("reader_img_box");
        var y = imgbox.length;
        var i = 0;
        for (var i = 0; i < y; i++) {
            imgbox[i].style.display = "none";
        }

    } catch (err) {
        js.log("hideAllImage" + err.message);
    }

}

/*
 * 隐藏显示内容；
 */
function clearContent() {
    try {
        var temple_title = document.getElementById("temple_title");
        var content_text = document.getElementById("content_text");
        var original = document.getElementById("original");
        var relevancearticle = document.getElementById("relevancearticle");
        var relavance_article_divider = document.getElementById("relavance_article_divider");
        relevancearticle.style.display = "none";
        temple_title.style.display = "none";
        original.style.display = "none";
        content_text.style.display = "none";
        content_text.innerHTML = "";
        relavance_article_divider.style.display = "none";
        js.log("clearContent end");
    } catch (err) {
        js.log("clearContent" + err.message);
    }
}
/*
 * 插入标题和文章信息；
 * title：标题；
 * author:作者
 * time和时间；
 *
 */
function insertContentTitleForNewTemple(signLabel, labelBgColor, title, author, time) {

 	var titleContent = document.getElementById("news_template_01_titleContent");

    var article_sign_label = document.getElementById("article_sign_label");
 	var title_author = document.getElementById("author");
 	var title_time = document.getElementById("article_putdate");
    if (signLabel != null && labelBgColor != null && signLabel.length > 0 && labelBgColor.length > 0){
        article_sign_label.style.display = "block";
        article_sign_label.innerHTML = signLabel;
        article_sign_label.style.background = labelBgColor
    } else {
        article_sign_label.style.display = "none";
    }
    titleContent.innerHTML = title;
    title_author.innerHTML = author;
    title_time.innerHTML = time;
}

var ArticleId = -1;
var store = [];
var lazyLoad = true;
function _preloadimg() {
    for (var i = 0; i < store.length; i++) {
        if (!lazyLoad) {
            js.preloadImg(store[i].id.substr(4));
            store.splice(i, 1);
            i--;
            continue;
        }
        var coords = store[i].getBoundingClientRect();
        // 距离屏幕底部300加载
        if (coords.top < document.documentElement.clientHeight + 300) {
            js.preloadImg(store[i].id.substr(4));
            store.splice(i, 1);
            i--;
        }
    }
    if (store.length == 0) {
        window.removeEventListener('scroll', _preloadimg);
    }
}
/*
* 插入文章:
*/
function insertArticle(title, signLabel, labelBgColor, author, time, cotentStr, orignalUrl, relatedRss, relatedArticle, mRelatedHint, index, articleId, hasTopicVote) {
    changeTextSize(index);
    insertContentTitleForNewTemple(signLabel, labelBgColor, title, author, time);
    insertContentTextForContent(cotentStr, orignalUrl, hasTopicVote);
    if (relatedRss.length > 0) {
        insertRelevanceRss(relatedRss);
    }
    if (relatedArticle.length > 0) {
        insertRelevanceArticle(relatedArticle, mRelatedHint);
    }
    ArticleId = articleId;


    document.addEventListener("onhaschange", domload(), false);
}
function doloadImg() {
    //开始加载图片；
    _preloadimg();
    window.addEventListener("scroll", _preloadimg, false);
}
function domload() {
    //收集图片信息；完成后会回调doloadImg
    js.startLoadImg(ArticleId);

    js.onPageReady('101');
    var nodes = document.querySelectorAll(".reader_img");
    js.log("nodes length is" + nodes.length);
    for (var i = 0; i < nodes.length; i++) {
        store.push(nodes[i]);
    }
    lazyLoad = nodes.length >= 10;
    document.removeEventListener('onhaschange', domload, false);
}
/*
 * 插入文章内容； content：正文； url：文章原文链接；
 */
function insertContentTextForContent(content, url, hasTopicVote) {
    try {
        var temple_title = document.getElementById("temple_title");
        temple_title.style.display = "block";

        var content_text = document.getElementById("content_text");
        var original = document.getElementById("original");
        if (url.length > 0) {
            original.style.display = "block";
            original.href = url + "=orignal";
        }
        content_text.style.display = "block";
        content_text.innerHTML = content;
        var body = document.getElementById("body");
        body.onclick = function () {
            js.log("body is clicked");
            var event = window.event;
            var element = event.target;
            var i = 0;
            while (element != null && element.tagName != "IMG"
                && element.tagName != "A" && element.id != "no_comment"
                && i < 5) {
                element = element.parentNode;
                i = i + 1;
            }
            if (element != null
                && (element.tagName == "IMG" || element.tagName == "A" || element.id == "no_comment")) {
                return;
            }
            js.log("body is clicked, not image");
            js.singleTap();
            return false;
        }
        // 获取相关内容父布局
        var recommendCon = document.getElementById("relevancearticle_container");
        var divs = "";
        document.onscroll = function () {
            if (recommendCon == null) {
                return;
            }
            var str = recommendCon.getElementsByTagName("div");//获取检索内容块
            var index = 0;
            for (var i = 0; i < str.length; i++) {//遍历内容块
                var key = str[i];
                if (key.className == "comment-div") {//判断类名是否为comment-div
                    index++;
                    var top = key.getBoundingClientRect().top; //元素顶端到可见区域顶端的距离
                    var se = document.documentElement.clientHeight; //浏览器可见区域高度

                    if (top + key.offsetHeight / 2 <= se && divs.match(index + ",") == null) { // 当相关推荐列表项中间部分被看到算曝光
                        js.onRecommendConExposure(index - 1);
                        divs += index + ",";
                    }
                }
            }
            if (index == divs.split(",").length - 1) {
                // 取消页面滚动监听
                document.onscroll = null;
                js.log("document.onscroll = null");
            }
        }
    } catch (err) {
        js.log("insertContentTextForContent" + err.message);
    }
}

var timeHandle;
function showTime(times) {
    var timediv = document.getElementById("time_number");
    if (times != -1) {
        clearInterval(timeHandle);
    }
    if (times > 0) {
        timeHandle = setInterval(function () {
            if (times >= 0) {
                var hour = parseInt(times / 3600);
                if (hour < 10) {
                    hour = "0" + hour;
                }
                var minutes = parseInt((times % 3600) / 60);
                if (minutes < 10) {
                    minutes = "0" + minutes;
                }
                var second = (times % 3600) % 60;
                if (second < 10) {
                    second = "0" + second;
                }
                timediv.innerHTML = hour + ":" + minutes + ":" + second;
            } else {
                clearInterval(timeHandle);
                js.getVote();
            }
            times--;
        }, 1000);
    } else if (times != -1) {
        timediv.innerHTML = "00:00:00";
    }
}


function playTopicvoteAnimation(supportType, tvotes, fvotes, tpercent, fpercent, tpercent_div, fpercent_div) {
    var timg = document.getElementById("tlabel_img");
    var fimg = document.getElementById("flabel_img");
    var blueindex = 1;
    var hand1 = setInterval(function () {
        if (supportType == 1) {
            timg.src = "images/blueflag_" + blueindex + ".png";
        }
        else if (supportType == 0) {
            fimg.src = "images/redflag_" + blueindex + ".png";
        }
        if (blueindex <= 9) {
            if (supportType == 1) {
                fimg.src = "images/redcircle_" + blueindex + ".png";
            } else if (supportType == 0) {
                timg.src = "images/bluecircle_" + blueindex + ".png";
            }
        }
        if (blueindex == 39) {
            clearInterval(hand1);
            playLineAnimation(tvotes, fvotes, tpercent, fpercent, tpercent_div, fpercent_div);
        } else {
            blueindex++;
        }
    }, 20);
}

function playLineAnimation(tvotes, fvotes, tpercent, fpercent, tpercent_div, fpercent_div) {
    tpercent_div.style.background = "#508AEB";
    fpercent_div.style.background = "#E65342";

    if (tvotes != 0 && fvotes != 0) {
        tvotes = tvotes - 0.3;
        fvotes = fvotes - 0.3;
    }

    var tmp_tvotes = 49.7;
    var tmp_fvotes = 49.7;
    if (tvotes <= 49.7) {
        var hand2 = setInterval(function () {
            if (tvotes >= tmp_tvotes) {
                tpercent_div.style.width = tvotes + "%";
                fpercent_div.style.width = fvotes + "%";
                if (tvotes == 0) {
                    var divider = document.getElementById("divider");
                    divider.style.width = "0%";
                }
                if (tvotes != 0 && fvotes != 0) {
                    tpercent.innerHTML = (tvotes + 0.3) + "%";
                    fpercent.innerHTML = (fvotes + 0.3) + "%";
                }
                else {
                    tpercent.innerHTML = tvotes + "%";
                    fpercent.innerHTML = fvotes + "%";
                }
                clearInterval(hand2);
            }
            else {
                tpercent_div.style.width = tmp_tvotes + "%";
                fpercent_div.style.width = tmp_fvotes + "%";
            }
            tmp_tvotes--;
            tmp_fvotes++;
        }, 20);
    } else {
        var hand3 = setInterval(function () {
            if (tvotes <= tmp_tvotes) {
                tpercent_div.style.width = tvotes + "%";
                fpercent_div.style.width = fvotes + "%";
                if (tvotes == 100) {
                    var divider = document.getElementById("divider");
                    divider.style.width = "0%";
                }
                if (tvotes != 0 && fvotes != 0) {
                    tpercent.innerHTML = (tvotes + 0.3) + "%";
                    fpercent.innerHTML = (fvotes + 0.3) + "%";
                }
                else {
                    tpercent.innerHTML = tvotes + "%";
                    fpercent.innerHTML = fvotes + "%";
                }
                clearInterval(hand3);
            }
            else {
                tpercent_div.style.width = tmp_tvotes + "%";
                fpercent_div.style.width = tmp_fvotes + "%";
            }
            tmp_tvotes++;
            tmp_fvotes--;
        }, 20);
    }

}

function showTopicVote(tlabel, tdesc, flabel, fdesc, tvotes, fvotes, endtime, isEnd, supportType, needAnimation) {

    var tdesc_text = document.getElementById("tv_left_descripition");
    tdesc_text.innerHTML = tdesc;
    var fdesc_text = document.getElementById("tv_right_descripition");
    fdesc_text.innerHTML = fdesc;
    var tv_border_leftdiv = document.getElementById("tv_border_leftdiv");
    var tv_border_rightdiv = document.getElementById("tv_border_rightdiv");
    var tlabeltext = document.getElementById("vote_left_viewpoint");
    var flabeltext = document.getElementById("vote_right_viewpoint");
    var tSupportButton = document.getElementById("vote_button_left");
    var fSupportButton = document.getElementById("vote_button_right");
    var tchoiced = document.getElementById("left_choiced");
    var fchoiced = document.getElementById("right_choiced");

    if (tlabel.length >= 3) {
        tlabeltext.style.fontSize = "16px";
    }
    if (flabel.length >= 3) {
        flabeltext.style.fontSize = "16px";
    }

    tlabeltext.innerHTML = tlabel;
    flabeltext.innerHTML = flabel;

    if (isEnd || supportType != -1) {
        if (isEnd) {
            var twin = document.getElementById("left_win");
            var fwin = document.getElementById("right_win");
            if (tvotes >= 50) {
                tv_border_rightdiv.style.top = "2px";
                tv_border_leftdiv.style.border = "solid 3px #5093e7";
                if(tvotes > 50) {
                    twin.style.display = "block";
                    fwin.style.display = "none";
                }
            }
            if (fvotes >= 50) {
                tv_border_leftdiv.style.top = "2px";
                tv_border_rightdiv.style.border = "solid 3px #f28160";
                if(tvotes > 50) {
                    twin.style.display = "none";
                    fwin.style.display = "block";
                }
            }
            if (supportType == -1) {
                fSupportButton.style.display = "none";
                tSupportButton.style.display = "none";
            }
        }

        var tpercent = document.getElementById("vote_left_number");
        var fpercent = document.getElementById("vote_right_number");
        var tSupport = document.getElementById("left_support_text");
        var fSupport = document.getElementById("right_support_text");
        tpercent.innerHTML = tvotes;
        fpercent.innerHTML = fvotes;
        if (supportType == 1) {
            tSupportButton.style.display = "";
            fSupportButton.style.display = "none";
            tSupport.innerHTML = "已选择"
        } else if (supportType == 0) {
            tSupportButton.style.display = "none";
            fSupportButton.style.display = "";
            fSupport.innerHTML = "已选择"
        }
        /*if (needAnimation) {
            if (supportType == 1) {
                tchoiced.style.display = "block";
                fSupportButton.style.display = "none";
                tSupportButton.classList.add("vote_button_anim");
                setTimeout(function () {
                    tchoiced.classList.add("choiced_anim");
                }, 50);
            } else if (supportType == 0) {
                fchoiced.style.display = "block";
                tSupportButton.style.display = "none";
                fSupportButton.classList.add("vote_button_anim");
                setTimeout(function () {
                    fchoiced.classList.add("choiced_anim");
                }, 50);
            }
            setTimeout(function () {
                showTopicvoteNumberAnimation(supportType, tvotes, fvotes);
            }, 200);

        } else {
            tSupportButton.style.display = "none";
            fSupportButton.style.display = "none";
            if (supportType == 1) {
                tchoiced.className = "left_choiced_end";
            } else if (supportType == 0) {
                fchoiced.className = "right_choiced_end";
            } else {

            }

            tpercent.innerHTML = tvotes;
            fpercent.innerHTML = fvotes;
        }*/
    } else {
        tSupportButton.onclick = function () {
            js.setVote("1");
        };
        fSupportButton.onclick = function () {
            js.setVote("0");
        };
    }

    var topic_vote = document.getElementById("topic_vote");
    topic_vote.style.display = "block";
}

function showTopicvoteNumberAnimation(supportType, tvotes, fvotes) {
    var tnumber = document.getElementById("vote_left_number");
    var fnumber = document.getElementById("vote_right_number");
    var index = 0;
    var tnum = 1;
    var fnum = 1;
    var tdnum = (tvotes - 1) / 14;
    var fdnum = (fvotes - 1) / 14;
    var hand1 = setInterval(function () {
        if (index == 15) {
            tnumber.innerHTML = tvotes;
            fnumber.innerHTML = fvotes;
            clearInterval(hand1);
        } else {
            tnumber.innerHTML = Math.floor(tnum + tdnum * index);
            fnumber.innerHTML = Math.floor(fnum + fdnum * index);
            index++;
        }
    }, 50);
}

//var hand;
//var rewardIndex = 2;
//
//function playRewardAnimation(recommendButton) {
//    rewardIndex = 2;
//    hand = setInterval(function() {
//            recommendButton.src = "images/reward_"+rewardIndex+".png";
//            if(rewardIndex == 45) {
//                clearInterval(hand);
//            }else {
//                rewardIndex++;
//            }
//        }, 20);
//}

/*
 * 长微博分享：插入文章内容； content：正文； url：文章原文链接；
 */
function insertContentTextForWeiboContent(content, url) {
    try {
        var temple_title = document.getElementById("temple_title");
        temple_title.style.display = "block";

        var content_text = document.getElementById("content_text");
        content_text.style.display = "block";
        content_text.innerHTML = content;
    } catch (err) {
        js.log("insertContentTextForContent" + err.message);
    }
}

var recommendCount = 0;

/*
 * 不再使用点攒功能
 */
function showRecommendNumber(number) {
    //    document.getElementById("div_recommend").style.display = "block";
    //    var recommendNumber = document.getElementById("recommend_number");
    //    recommendNumber.innerHTML = number+"人赞";
    //    recommendCount = number;
}


/*
 * 隐藏查看原文；
 */
function hiddenOriginal() {
    try {
        var find_original_url = document.getElementById("find_original_url");
        find_original_url.style.display = "none";
    } catch (err) {
        js.log("hiddenOriginal" + err.message);
    }
}

/*
 * 插入图片； src：本地图片地址； index：图片位置索引；
 */
function insertImageSrc(str, index, type) {
    try {
        var img = document.getElementById('img_' + index);
        img.src = str;
        var classNameUncle = null;
        if (img.parentNode.previousSibling != null) {
            classNameUncle = img.parentNode.previousSibling.className;
        }
        var classNameBrother = null;
        if (img.previousSibling != null) {
            classNameBrother = img.previousSibling.className;
        }

        if (classNameUncle == "reader_img_box" || classNameBrother == "reader_img") {
            img.parentNode.previousSibling.style.paddingBottom = "0px";
            img.parentNode.style.paddingTop = "6px";
        }

        var parentNode = img.parentNode;
        if (parentNode != null && parentNode.nodeName == "A") {
            parentNode.href = "#";
        }

        if (type == "0") {
            var circleDiv = document.getElementById('circle_div' + index);
            if (circleDiv != null)
                circleDiv.style.display = "none";
            var gifLogoBg = document.getElementById('gifLogoBg' + index);
            if (gifLogoBg != null)
                gifLogoBg.style.display = "none";
            img.onclick = function () {
                js.ScanPicture(index);
            }
        } else if (type == "1") {
            img.onload = function () {
                img.onload = null;
                var left = img.clientWidth / 2 - 40;
                var top = img.clientHeight / 2 - 40;
                img.insertAdjacentHTML(
                    "beforeBegin",
                    "<div style=\"position:relative\" ><div id=\"gifLogoBg"
                    + index
                    + "\" style=\"position:absolute; pointer-events:none; background:rgba(0, 0, 0, 0.3); width:"
                    + img.clientWidth
                    + "px; height:"
                    + img.clientHeight
                    + "px; \" /><img style=\"position:absolute; pointer-events:none; width:80px;height:80px; left:"
                    + left
                    + "px; top:"
                    + top
                    + "px;\" id=\"gifLogo"
                    + index
                    + "\" src=\"images/gif_icon.png\" /><div class=\"circle\" id=\"circle_div"
                    + index
                    + "\" style=\"display:none; position:absolute; left:"
                    + (left + 16)
                    + "px; top:"
                    + (top + 16)
                    + "px;\"><img class=\"img_loading\" src=\"images/img_loading_bg.png\" /><img class=\"img_loading\" id=\"loadingbar"
                    + index
                    + "\" src=\"images/img_loading.png\" /><div class=\"mask\"><span id=\"progress_span" + index + "\" >0</span>%</div></div>");
                img.insertAdjacentHTML("afterend", "</div>");

            }
            img.onclick = function () {
                var giflogo = document.getElementById('gifLogo' + index);
                if (giflogo != null)
                    giflogo.style.display = "none";
                var circlediv = document.getElementById('circle_div' + index);
                if (circlediv != null)
                    circlediv.style.display = "block";
                gif_loading(index);
                setProgress(0, index);
                js.loadGif(index);
            }
        }
        else if (type == "2") {
            var left = img.clientWidth / 2 - 24;
            var top = img.clientHeight / 2 - 24;
            img.insertAdjacentHTML(
                "beforeBegin",
                "<div style=\"position:relative\" ><div	id=\"loadtext_div"
                + index
                + "\" style=\"position:absolute; pointer-events:none; width:100%; top:"
                + (top + 8)
                + "px; text-size:16px; text-align:center;\">点击加载图片</div><div class=\"circle\" id=\"circle_div"
                + index
                + "\" style=\"display:none; position:absolute; left:"
                + left
                + "px; top:"
                + top
                + "px;\"><div class=\"pie_left\"><div class=\"left\"></div></div><div class=\"pie_right\"><div class=\"right\" ></div></div><div class=\"mask\"><span id=\"progress_span" + index + "\">0</span>%</div></div>");
            img.insertAdjacentHTML("afterend", "</div>");
            img.onclick = function () {
                js.loadImg(index);
            }
        } else if (type == "3") {
            img.onload = function () {
                img.onload = null;
                var left = img.clientWidth / 2 - 24;
                var top = img.clientHeight / 2 - 24;
                img.insertAdjacentHTML(
                    "beforeBegin",
                    "<div style=\"position:relative\" ><div class=\"circle\" id=\"circle_div"
                    + index
                    + "\" style=\"display:none; position:absolute; left:"
                    + left
                    + "px; top:"
                    + top
                    + "px;\"><div class=\"pie_left\"><div class=\"left\"></div></div><div class=\"pie_right\"><div class=\"right\" ></div></div><div class=\"mask\"><span>0</span>%</div></div>");
                img.insertAdjacentHTML("afterend", "</div>");
            }
            img.onclick = function () {
                document.getElementById('circle_div' + index).style.display = "block";
                setProgress(0, index);
                js.loadGif(index);
            }
        }

    } catch (err) {
        js.log("insertImageSrc index :" + index + err.message);
    }
}

function showImage(index) {
    try {
        js.log("showImage" + index);
        var loadText = document.getElementById('loadtext_div' + index);
        if (loadText != null) {
            loadText.style.display = "none";
        }
        var circleDiv = document.getElementById('circle_div' + index);
        if (circleDiv != null) {
            circleDiv.style.display = "block";
        }
        setProgress(0, index);
    } catch (err) {
        js.log("showImage index :" + index + err.message);
    }
}

var interval;
var num = 0;

function gif_loading(index) {
    interval = setInterval(function () {
        var loadingBar = document.getElementById('loadingbar' + index);
        if (loadingBar != null)
            loadingBar.style.transform = "rotate(" + num + "deg)";
        num += 5;
    }, 20);
}

function setProgress(progress, index) {
    var progressSpan = document.getElementById('progress_span' + index);
    if (progressSpan != null)
        progressSpan.innerHTML = progress;
    if (progress >= 100) {
        clearInterval(interval);
    }
}


function insertVideoImageSrc(str, index) {
    try {
        js.log("insertVideoImageSrc" + index);
        var img = document.getElementById('imgContent_' + index);
        if (img != null)
            img.src = str;
    } catch (err) {
        js.log("insertVideoImageSrc index :" + index + err.message);
    }
}
/*
 * 点击后document更改herf，会被webview拦截以决定如何对待图片点击事件；
 */
function downloadImage(mess) {
    try {
        document.location.href = "image?" + mess
        js.log("downloadImage");
    } catch (err) {
        js.log("downloadImage" + err.message);
    }
}
/*
 * 更改文章字体大小； index: 0 :小; 1: 中; 2: 大;
 */
function changeTextSize(index) {
    var title_content = document.getElementById("news_template_01_titleContent");
    var article_info = document.getElementById("news_template_01_article_info");
    var content_text = document.getElementById("content_text");
    var title_size = 24;
    var article_info_size = 12;
    var content_size = 17;
    var content_line_height = 28;
    var title_line_height = 25;
    if (index == 0) {   // 小
        title_size = 20;
        title_line_height = 21;
        article_info_size = 8;
        content_size = 12;
        content_line_height = 22;
    } else if (index == 2) {    // 大
        title_size = 30;
        title_line_height = 31;
        article_info_size = 16;
        content_size = 20;
        content_line_height = 32;
    } else if (index == 3) {    // 超大
        title_size = 34;
        title_line_height = 35;
        article_info_size = 20;
        content_size = 24;
        content_line_height = 36;
    } else {    // 标准
        title_size = 24;
        title_line_height = 25;
        article_info_size = 12;
        content_size = 16;
        content_line_height = 28;
    }
    title_content.style.fontSize = title_size + 'px';
    title_content.style.lineHeight = title_line_height + 'px';
    article_info.style.fontSize = article_info_size + 'px';
    content_text.style.fontSize = content_size + 'px';
    content_text.style.lineHeight = content_line_height + 'px';
}

function insertComment(comment) {
    var comment_container = document.getElementById("comment_container");
    comment_container.innerHTML = comment;
    var no_comment = document.getElementById("no_comment");
    if (comment.length <= 0) {
        no_comment.style.display = "none";
    } else {
        no_comment.style.display = "block";
    }
}
function updateCommentIcon(id, iconPath) {
    var commentAuthor = document.getElementById("author_icon_" + id);
    commentAuthor.src = iconPath;
}

function onRssAddButton(e) {
    js.subscribeRss();
    e.stopPropagation();
}

function insertRelevanceRss(rss) {
    try {
        var relevance_rss_container = document.getElementById("relavance_rss");
        relevance_rss_container.innerHTML = rss;
        relevance_rss_container.style.display = "block";
        var relavance_rss_divider = document.getElementById("relavance_rss_divider");
        relavance_rss_divider.style.display = "block";
        var rssbt = document.getElementById("rss_button");
        if (rssbt != null) {
            rssbt.addEventListener('click', onRssAddButton, false);
        }
    } catch (err) {

    }
}

function insertRelevanceArticle(articles, hint) {
    try {
        var relevancearticle_container = document.getElementById("relevancearticle_container");
        relevancearticle_container.innerHTML = articles;
        var relevancearticle_hint = document.getElementById("relevancearticle_hint");
        relevancearticle_hint.innerHTML = hint;
        var relevancearticle = document.getElementById("relevancearticle");
        relevancearticle.style.display = "block";
        var relavance_article_divider = document.getElementById("relavance_article_divider");
        relavance_article_divider.style.display = "block";

    } catch (err) {
        js.log("insertRelevanceArticle" + err.message);
    }
}

function showSubscribedButton() {
    var button = document.getElementById("rss_button");
    button.removeEventListener('click', onRssAddButton, false);
    button.addEventListener('click', donothing, false);
    button.style.color = "#DC2A2A";
    button.style.backgroundColor = "transparent";
    button.innerHTML = "已关注";
    button.style.display = "block";
}

function donothing(e) {
    e.stopPropagation();
}

function SubscribeRssSuccess() {
    var button = document.getElementById("rss_button");
    button.style.display = "none";
}

function notSubscribeRss() {
    var button = document.getElementById("rss_button");
    button.innerHTML = "关注";
    button.style.color = "#ffffff";
    button.style.backgroundColor = "#DC2A2A";
    button.addEventListener('click', onRssAddButton, false);
    button.style.display = "block";
}

function onRelevanceArticleClick(relevanceItem, articleId, articleUrl, contentType, imgUrlList, sourceType) {
    // 已读状态
    var title = relevanceItem.getElementsByClassName("connectto_title_div");
    if (title != null && title.length > 0) {
        title[0].style.opacity = "0.5";
    }

    js.GotoArticleContent(articleId, articleUrl, contentType, imgUrlList, sourceType);
}

function onStartRssDetailList(rssId) {
    js.gotoRssDetail(rssId);
}

function setFooterHeight(height) {
    try {
        var comment_div = document.getElementById("content_relatedArticles");
        comment_div.style.height = height + "px";
    } catch (err) {
        js.log("setFooterHeight" + err.message);
    }
}

/*
 * 切换夜间模式， night：为true是晚上；
 */
function switchNightMode(night) {
    var link = document.getElementById("css");
    if (night) {
        link.href = "styles/style_night.css"
    } else {
        link.href = "styles/style_normal.css"
    }
    var imgs = document.getElementsByTagName("img");
    for (i = 0; i < imgs.length; i++) {
        if (night) {
            if (imgs[i].src == "images/reader_img_src.png") {
                imgs[i].src = "images/reader_img_src_night.png";
            } else if (imgs[i].src == "images/play_day.png") {
                imgs[i].src = "images/play_night.png";
            }
        } else if (!night) {
            if (imgs[i].src == "images/reader_img_src_night.png") {
                imgs[i].src = "images/reader_img_src.png";
            } else if (imgs[i].src == "images/play_night.png") {
                imgs[i].src = "images/play_day.png";
            }
        }
    }
    js.log("switchNightMode");
}
