// var perf = {};
// perf.layoutExecStartTime = performance.now();
useCSS(true);
(function(){
    var preArg;
    window.setLayout = function(arg){
        preArg = arg;
    };
    document.addEventListener('DOMContentLoaded', function(){
        // set viewport
        var viewportEl = document.querySelector('[name=viewport]');
        viewportEl.setAttribute('content', 'width=360, user-scalable=no');
        // remove whitespace
        var pEl = document.querySelectorAll('p');
        [].forEach.call(pEl, function(el){
            el.innerHTML = el.innerHTML.replace(/^\s*/, '');
        });
        // add image wrapper class
        var imgEl = document.querySelectorAll('img');
        [].forEach.call(imgEl, function(el){
            el.parentNode.classList.add('img-wrapper');
        });
        // transform time
        var timeEl = document.querySelector('.yl-date');
        var matches = timeEl.textContent.match(/(\d*)-(\d*)-(\d*)\s*(\d*):(\d*):(\d*)/);
        // console.log(timeEl.textContent);
        var time = new Date(+matches[1], +matches[2]-1, +matches[3], +matches[4], +matches[5], +matches[6]);
        var timeStr = '';
        var year = time.getFullYear();
        var month = time.getMonth() + 1;
        var date = time.getDate();
        var hour = time.getHours();
        var minute = time.getMinutes();
        var second = time.getSeconds();
        if(year !== (new Date()).getFullYear()){
            timeStr += year + '/';
        }
        timeStr += month + '/';
        timeStr += (date < 10 ? '0' + date : date) + ' ';
        timeStr += (hour < 10 ? '0' + hour : hour) + ':';
        timeStr += (minute < 10 ? '0' + minute : minute + ':');
        timeStr += (second < 10 ? '0' + second : second);
        timeEl.textContent = timeStr;
        // console.log('_meizu_template_value: ' + _meizu_template_value);
        var flymeLayout = [];
        flymeLayout[6] = 'flyme-6-layout';
        flymeLayout[7] = 'flyme-7-layout';
    
        window.setLayout = function(version){
            // perf.layoutFnStart = performance.now();
            version = +version;
            console.log('layout version: ' + version);
            for(var i = 0; i < flymeLayout.length; i++){
                var layoutClassName = flymeLayout[i];
                if(!layoutClassName){
                    continue;
                }
                if(i === version){
                    document.body.classList.add(layoutClassName);
                    continue;
                }
                document.body.classList.remove(layoutClassName);
            }
            // perf.layoutFnEnd = performance.now();
            // perf.layoutFnExecTime = perf.layoutFnEnd - perf.layoutFnStart;
            // console.log(perf);
        };
        if(preArg !== undefined){
            window.setLayout(preArg);
        }
        // set viewed count
        var countReg = /meizu_views=([0-9]*)/;
        console.log('href: ' + window.location.href);
        if(countReg.test(window.location.href)){
            console.log('found view count.');
            var countMatch = window.location.href.match(countReg);
            var viewCount = countMatch[1];
            console.log('match view count: ', countMatch);
            if(viewCount){
                console.log('view count: ', viewCount);
                viewCount = +viewCount;
                if(!viewCount){
                    console.log('zero view count, not shown.');
                    return;
                }
                console.log('add view count dom');
                var viewCountEl = document.createElement('span');
                viewCountEl.textContent = '浏览 ' + viewCount;
                document.querySelector('.yl-meta').appendChild(viewCountEl);
            }
        }
    });
})();
