/*
 * 隐藏所有图片；
 */
function hideAllImage() {
	try {
		var img = document.getElementsByClassName("reader_img");
		var y = img.length;
		var i = 0;
		for (var i = 0; i < y; i++) {
			img[i].style.display = "none";
			js.log("hideAllImage  " + i);
		}
		var imgbox = document.getElementsByClassName("reader_img_box");
		var y = imgbox.length;
		var i = 0;
		for (var i = 0; i < y; i++) {
			imgbox[i].style.display = "none";
			js.log("hideAllImage  " + i);
		}
	} catch (err) {
		js.log("hideAllImage" + err.message);
	}

}
/*
 * 隐藏显示内容；
 */
function clearContent() {
	var temple_title = document.getElementById("temple_title");
	var content_text = document.getElementById("content_text");
	var original = document.getElementById("original");
	var no_comment = document.getElementById("no_comment");
	temple_title.style.display = "none";
	original.style.display = "none";
	content_text.style.display = "none";
	no_comment.style.display = "none";
}
/*
 * 插入文章内容； content：正文； url：文章原文链接；
 */
function insertContentTextForContent(content, url) {
	try {
		var temple_title = document.getElementById("temple_title");
		temple_title.style.display = "block";

		var content_text = document.getElementById("content_text");
		var original = document.getElementById("original");
		if (url.length > 0) {
			original.style.display = "block";
			original.href = url + "=orignal";
		}
		content_text.style.display = "block";
		content_text.innerHTML = content;
		var body = document.getElementById("body");
		body.onclick = function () {
			js.log("body is clicked");
			var event = window.event;
			var element = event.target;
			var i = 0;
			while (element != null && element.tagName != "IMG" && element.tagName != "A" && element.id != "no_comment" && i < 5) {
				element = element.parentNode;
				i = i + 1;
			}
			if (element != null && (element.tagName == "IMG" || element.tagName == "A" || element.id == "no_comment")) {
				return;
			}
			js.log("body is clicked, not image");
			js.singleTap();
			return false;
		}
	} catch (err) {
		js.log("insertContentTextForContent" + err.message);
	}
}
function insertContentTitleForNewTemple(title, author, time) {

	var titleContent = document.getElementById("news_template_01_titleContent");

	var title_author = document.getElementById("author");
	var title_time = document.getElementById("time");

	titleContent.innerHTML = title;
	title_author.innerHTML = author;
	title_time.innerHTML = time;
}
/*
 * 长微博分享：插入文章内容； content：正文； url：文章原文链接；
 */
function insertContentTextForWeiboContent(content, url) {
	try {
		var temple_title = document.getElementById("temple_title");
		temple_title.style.display = "block";

		var content_text = document.getElementById("content_text");
		content_text.style.display = "block";
		content_text.innerHTML = content;
	} catch (err) {
		js.log("insertContentTextForContent" + err.message);
	}
}

/*
 * 最新评论，查看更多
 */
function insertCommentAndMoreText(newcomment, more) {
	try {
		var comment_hint = document.getElementById("comment_hint");
		comment_hint.style.display = "block";
		comment_hint.innerHTML = newcomment;

		var more_text = document.getElementById("more_comment_container");
		more_text.style.display = "block";
		more_text.innerHTML = more;
	} catch (err) {
		js.log("insertCommentAndMoreText" + err.message);
	}
}


/*
 * 隐藏查看原文；
 */
function hiddenOriginal() {
	try {
		var find_original_url = document.getElementById("find_original_url");
		find_original_url.style.display = "none";
	} catch (err) {
		js.log("hiddenOriginal" + err.message);
	}
}

/*
 * 插入赞的数量；
 */
function updatePrise(priseCount) {
	var prise = document.getElementById('prise');
	prise.innerHTML = priseCount;
}
/*
 * 插入图片； src：本地图片地址； index：图片位置索引；
 */
function insertImageSrc(str, index) {
	try {
		js.log("insertImageSrc" + index);
		var img = document.getElementById('img_' + index);
		img.src = str;
		var classNameUncle = null;
		if (img.parentNode.previousSibling != null) {
			classNameUncle = img.parentNode.previousSibling.className;
		}
		var classNameBrother = null;
		if (img.previousSibling != null) {
			classNameBrother = img.previousSibling.className;
		}
		if (classNameUncle == "reader_img_box" ||
			classNameBrother == "reader_img") {
			img.style.padding = "0 0 20px 0";
		} else {
			img.style.padding = "20px 0 20px 0";
		}

		img.onclick = function () {
			js.log("img is clicked" + index);
			js.log("width:" + img.clientWidth + "; height:" + img.clientHeight);
			js.ScanPicture(index);
			// downloadImage(index);
			return false;
		}
		var parentNode = img.parentNode;

		if (parentNode != null && parentNode.nodeName == "A") {
			parentNode.href = "#";
			return true;
		}
	} catch (err) {
		js.log("insertImageSrc index :" + index + err.message);
	}
}
/*
 * 点击后document更改herf，会被webview拦截以决定如何对待图片点击事件；
 */
function downloadImage(mess) {
	try {
		document.location.href = "image?" + mess
		js.log("downloadImage");
	} catch (err) {
		js.log("downloadImage" + err.message);
	}
}
/*
 * 更改文章字体大小； index: 0 :默认; 1: 中; 2: 大;
 */
function changeTextSize(index) {
	// title;
	var title_content = document
		.getElementById("news_template_01_titleContent");
	// article info;
	var article_info = document.getElementById("news_template_01_article_info");
	// content;
	var content_text = document.getElementById("content_text");
	var title_size = 20;
	var article_info_size = 14;
	var content_size = 16;
	if (index == 0) {

	} else if (index == 1) {
		title_size = 21;
		article_info_size = 15;
		content_size = 17;
	} else if (index == 2) {
		title_size = 22;
		article_info_size = 16;
		content_size = 18;
	}
	title_content.style.fontSize = title_size + 'px';
	article_info.style.fontSize = article_info_size + 'px';
	content_text.style.fontSize = content_size + 'px';
}

function insertComment(comment) {
	var comment_container = document.getElementById("comment_container");
	comment_container.innerHTML = comment;
	var no_comment = document.getElementById("no_comment");
	if (comment.length <= 0) {
		no_comment.style.display = "none";
	} else {
		no_comment.style.display = "block";
	}
}
function updateCommentIcon(id, iconPath) {
	var commentAuthor = document.getElementById("author_icon_" + id);
	commentAuthor.src = iconPath;
}
function onCommentClick() {
	// 如果需要点击后回复当前评论需要此段；
	// var event = window.event;
	// var element = event.target;
	// var i = 0;
	// while( element.className != "comment-item" && i < 5){
	// element = element.parentNode;
	// i = i + 1;
	// }
	// js.log("element tag is " + element.tagName + ", id is : " +
	// element.getAttribute("data-comment-id"));
	// 现在只需要跳转到评论界面就可以；
	js.startCommentActivity();
}

function insertRelevanceArticle(articles, hint) {
	try {
		var relevancearticle_container = document.getElementById("relevancearticle_container");
		relevancearticle_container.innerHTML = articles;
		var relevancearticle_hint = document.getElementById("relevancearticle_hint");
		relevancearticle_hint.innerHTML = hint;
		var relevancearticle = document.getElementById("relevancearticle");
		relevancearticle.style.display = "block";
	} catch (err) {
		js.log("insertRelevanceArticle" + err.message);
	}
}

function onRelevanceArticleClick(relevanceItem, articleId, articleUrl, contentType, imgUrlList, specialTopicTitle) {
    // 已读状态
    var title = relevanceItem.getElementsByClassName("connectto_title_div");
    if (title != null && title.length > 0) {
        title[0].style.opacity = "0.5";
    }

	js.GotoArticleContent(articleId, articleUrl, contentType, imgUrlList, specialTopicTitle);
}

function setFooterHeight(height) {
	try {
		var comment_div = document.getElementById("content_relatedArticles");
		comment_div.style.height = height + "px";
	} catch (err) {
		js.log("setFooterHeight" + err.message);
	}
}

/*
 * 切换夜间模式， night：为true是晚上；
 */
function switchNightMode(night) {
	var link = document.getElementById("css");
	if (night) {
		link.href = "styles/style_night.css"
	} else {
		link.href = "styles/style_normal.css"
	}
}
